<script lang="ts" setup>
import { ref } from 'vue'
import { type BuyStock } from '@/types/BuyStock'

defineProps<{ buyStock: BuyStock }>()
const emit = defineEmits<{
  selected: [buyStock: BuyStock]
}>()
</script>

<template>
  <v-sheet
    :min-height="100"
    :min-width="100"
    :max-height="200"
    :max-width="200"
    elevation="1"
    @click.stop="
      () => {
        emit('selected', buyStock)
      }
    "
    ><v-img min-width="100" height="100" cover></v-img>
    <v-sheet class="text-center">{{ buyStock.name }}</v-sheet>
    <v-sheet class="text-center">{{ buyStock.price }} บาท</v-sheet>
  </v-sheet>
</template>
